
path <- '/esarchive/exp/ecearth/a35b/diags/DCPP/EC-Earth-Consortium/EC-Earth3-HR/dcppA-hindcast/$memb$/Omon/$var$/gn/v*/$var$_Omon_EC-Earth3-HR_dcppA-hindcast_s$sdate$-$memb$_gn_$chunk$-$chunk$.nc'
vari <- 'tosmean'
membs <- c('r1i1p1f1','r2i1p1f1','r3i1p1f1')
startdates <- c('1993','1998','2003','2008','2013')
forecast_month <- c(11,12,1,2)
reg <- 'Nino3'

exp <- Start(dat = path,
              var = vari,
              memb = membs,
              region = indices(9),
#              region = array(reg, dim = c(sdate = 5)), #, chunk = 4)), 
              region_var = 'region',
              sdate = startdates,
              time = 'all', #c(1:length(forecast_month)),
              chunk = 'all',
              chunk_depends = 'sdate',
              time_across = 'chunk', 
              merge_across_dims = TRUE,
              return_vars = list(time=c('sdate', 'chunk'), region = NULL), #dat'), 
#              return_vars = list(time=c('sdate')),
              retrieve = F)



#----------------------------------------------------
# Different region bwtween files
path <- paste0('/esarchive/exp/ecearth/a35b/diags/DCPP/EC-Earth-Consortium/',
               'EC-Earth3-HR/dcppA-hindcast/r1i1p1f1/Omon/$var$_mixed/gn/v20201107/',
               '$var$_Omon_EC-Earth3-HR_dcppA-hindcast_s$sdate$-r1i1p1f1_gn_$chunk$.nc')
region <- array(c(12, 13), dim = c(sdate = 2, region = 1))
exp <- Start(dat = path,
             var = 'tosmean',
             sdate = c('2013', '1993'),
             chunk = indices(1:2),
             chunk_depends = 'sdate',
             region = region, #indices(c(9, 13)),
#             region = array(reg, dim = c(sdate = 5)), #, chunk = 4)), 
#             region_var = 'region',
             time = 'all', #c(1:length(forecast_month)),
             time_across = 'chunk',
             merge_across_dims = TRUE,
             largest_dims_length = TRUE,
             return_vars = list(time = c('sdate', 'chunk'), 
                                region = 'sdate'), 
#              return_vars = list(time=c('sdate')),
              retrieve = F)




